Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class OntDocManagerVocab

    java.lang.Object
      com.hp.hpl.jena.vocabulary.OntDocManagerVocab

    public class OntDocManagerVocab

extends java.lang.Object

Vocabulary definitions from file:vocabularies/ont-manager.rdf

Author:
  Auto-generated by jena.schemagen on 13 Aug 2004 15:35

Field Summary
`static Property` | `altURL` The resolvable URL that an alternative copy of the ontology document may be fetched from
`static Property` | `cacheModels` If true, this property denotes that loaded models should be cached for re-use
`static Resource` | `DocumentManagerPolicy` A node that specifies behavioural options for the document manager
`static Property` | `ignoreImport` Specifies URL that will never be loaded as the result of processing an imports statement
`static Property` | `language` The representation language used by the ontology document
`static Resource` | `NAMESPACE` The namespace of the vocabulary as a resource
`static java.lang.String` | `NS` The namespace of the vocabulary as a string ("http://jena.hpl.hp.com/schemas/2003/03/ont-manager#")
`static Resource` | `OntologySpec` A class of node that specifies document metadata for the DocumentManager
`static Property` | `prefix` The prefix string that is used when writing qnames in the ontology's namespace
`static Property` | `processImports` If true, this property denotes that the document manager should process the imports closure of documents
`static Property` | `publicURI` The public URI that is used to refer to the ontology document
`static Property` | `useDeclaredNsPrefixes` Boolean flag for whether new ontology models will include the pre-declared namespace prefixes

Constructor Summary
`OntDocManagerVocab()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabulary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabulary as a string ("http://jena.hpl.hp.com/schemas/2003/03/ont-manager#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabulary as a resource

### language

    public static final Property language

  The representation language used by the ontology document

### publicURI

    public static final Property publicURI

  The public URI that is used to refer to the ontology document

### prefix

    public static final Property prefix

  The prefix string that is used when writing qnames in the ontology's namespace

### useDeclaredNsPrefixes

    public static final Property useDeclaredNsPrefixes

  Boolean flag for whether new ontology models will include the pre-declared namespace prefixes

### ignoreImport

    public static final Property ignoreImport

  Specifies URL that will never be loaded as the result of processing an imports statement

### processImports

    public static final Property processImports

  If true, this property denotes that the document manager should process the imports closure of documents

### cacheModels

    public static final Property cacheModels

  If true, this property denotes that loaded models should be cached for re-use

### altURL

    public static final Property altURL

  The resolvable URL that an alternative copy of the ontology document may be fetched from

### OntologySpec

    public static final Resource OntologySpec

  A class of node that specifies document metadata for the DocumentManager

### DocumentManagerPolicy

    public static final Resource DocumentManagerPolicy

  A node that specifies behavioural options for the document manager

Constructor Detail

### OntDocManagerVocab

    public OntDocManagerVocab()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabulary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP